com.sun.jna.platform.win32

## Class OaIdl.DATE

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.DATE

Direct Known Subclasses:
  OaIdl.DATE.ByReference

Enclosing interface:
  OaIdl

    @Structure.FieldOrder(value="date")
    public static class OaIdl.DATE
    extends Structure

### Nested Class Summary

Nested Classes
`static class` `OaIdl.DATE.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`double` `date`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`DATE()`
`DATE(java.util.Date javaDate)`
`DATE(double date)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Date` `getAsJavaDate()`
`void` `setFromJavaDate(java.util.Date javaDate)`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### date

    public double date

### Constructor Detail

#### DATE

    public DATE()

#### DATE

    public DATE(double date)

#### DATE

    public DATE(java.util.Date javaDate)

### Method Detail

#### getAsJavaDate

    public java.util.Date getAsJavaDate()

#### setFromJavaDate

    public void setFromJavaDate(java.util.Date javaDate)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.